# Run log inspector

`POST /v1/dry-run/logs/{logId}`

Logs endpoints allow you to review log metadata, including relevant timestamps and statuses. Or, if you want to dig into a log for troubleshooting purposes, you can run log inspector. 

> **Log payloads not returned**
>
> You can search log metadata or payloads via API, but you won’t receive log payloads in the responses. You can only review log payload contents in the Redox dashboard (if you’re assigned to an engineer or support role).

You can retrieve a list of log metadata, search for specific data within log payloads, retrieve one log with its metadata, or run log inspector.  

### Run log inspector

Run log inspector to review metadata and operation details for a given log. 

This doesn't re-send the log; it's only a preview option for troubleshooting. Or, you can run log inspector as you make changes to operation settings (e.g., translations, filters, config modifiers) to preview the impact of your changes before applying to real-time traffic. 

[Learn more about log inspector](https://docs.redoxengine.com/permalink/790exE7anSFdJdupyjnidt/#log-inspector). 

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `logId` | path | string | Yes | Identifies the specific log that you'd like to troubleshoot with Redox's log inspector. |
| `inlineOperationTemplates` | query | boolean | No | Determines whether or not template-able operations such as config modifiers will be included in the list of operations. |
| `serviceRegion` | query | string | No | Only required for organizations that are multi-region. Identifies the region in which the specified log should be run. |
| `dataMode` | query | string | No | Only required for organizations that have one or more backfill-enabled sources. Identifies the data mode to be used when running the log. |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `environment` | object | Yes | Describes the environment the log belongs to. |
| `environment.id` | string | Yes | Identifies the specific environment that the log belongs to. |
| `inspectorOverrides` | object | No | Describes unsaved changes to operations that will only apply during this run of log inspector. These changes won't apply to real-time logs until they're saved. |
| `inspectorOverrides.source-request` | object | No | Describes the changes to apply to a payload at the given processing location, whether on the source or destination side of the exchange. |
| `inspectorOverrides.source-request.configModifiers` | Array of object | No |  |
| `inspectorOverrides.source-request.configModifiers[].flavor` | string | Yes | Indicates the type, or flavor, of config modifier. A `put` flavor alters data (creates or replaces) in a payload, while a `delete` flavor removes data from a payload. Possible values: delete, put |
| `inspectorOverrides.source-request.configModifiers[].selector` | string | Yes | Indicates the location(s) within the payload that the config modifier will operate on. |
| `inspectorOverrides.source-request.configModifiers[].eventTypes` | Array of string, nullable | Yes | Indicates which event type(s) of the subscription the config modifier will operate on. If not restricted to certain event types, you must explicitly set this field to `null`; this means the config modifier will operate on all event types. |
| `inspectorOverrides.source-request.configModifiers[].id` | string (uuid) | No | Contains the unique identifier of an existing config modifier. If an `id` isn't provided, the config modifier described here will be processed as if it were newly created and will be assigned a temporary unique id. |
| `inspectorOverrides.source-request.configModifiers[].linkId` | string (uuid) | No | Specifies the subscription that an existing config modifier is linked to. |
| `inspectorOverrides.source-request.configModifiers[].schema` | object | No | Required for a `put` flavor config modifier. Indicates how to build the value at the location the selector specifies. |
| `inspectorOverrides.destination-request` | object | No | Describes the changes to apply to a payload at the given processing location, whether on the source or destination side of the exchange. |
| `inspectorOverrides.destination-request.configModifiers` | Array of object | No |  |
| `inspectorOverrides.destination-request.configModifiers[].flavor` | string | Yes | Indicates the type, or flavor, of config modifier. A `put` flavor alters data (creates or replaces) in a payload, while a `delete` flavor removes data from a payload. Possible values: delete, put |
| `inspectorOverrides.destination-request.configModifiers[].selector` | string | Yes | Indicates the location(s) within the payload that the config modifier will operate on. |
| `inspectorOverrides.destination-request.configModifiers[].eventTypes` | Array of string, nullable | Yes | Indicates which event type(s) of the subscription the config modifier will operate on. If not restricted to certain event types, you must explicitly set this field to `null`; this means the config modifier will operate on all event types. |
| `inspectorOverrides.destination-request.configModifiers[].id` | string (uuid) | No | Contains the unique identifier of an existing config modifier. If an `id` isn't provided, the config modifier described here will be processed as if it were newly created and will be assigned a temporary unique id. |
| `inspectorOverrides.destination-request.configModifiers[].linkId` | string (uuid) | No | Specifies the subscription that an existing config modifier is linked to. |
| `inspectorOverrides.destination-request.configModifiers[].schema` | object | No | Required for a `put` flavor config modifier. Indicates how to build the value at the location the selector specifies. |
| `inspectorOverrides.destination-response` | object | No | Describes the changes to apply to a payload at the given processing location, whether on the source or destination side of the exchange. |
| `inspectorOverrides.destination-response.configModifiers` | Array of object | No |  |
| `inspectorOverrides.destination-response.configModifiers[].flavor` | string | Yes | Indicates the type, or flavor, of config modifier. A `put` flavor alters data (creates or replaces) in a payload, while a `delete` flavor removes data from a payload. Possible values: delete, put |
| `inspectorOverrides.destination-response.configModifiers[].selector` | string | Yes | Indicates the location(s) within the payload that the config modifier will operate on. |
| `inspectorOverrides.destination-response.configModifiers[].eventTypes` | Array of string, nullable | Yes | Indicates which event type(s) of the subscription the config modifier will operate on. If not restricted to certain event types, you must explicitly set this field to `null`; this means the config modifier will operate on all event types. |
| `inspectorOverrides.destination-response.configModifiers[].id` | string (uuid) | No | Contains the unique identifier of an existing config modifier. If an `id` isn't provided, the config modifier described here will be processed as if it were newly created and will be assigned a temporary unique id. |
| `inspectorOverrides.destination-response.configModifiers[].linkId` | string (uuid) | No | Specifies the subscription that an existing config modifier is linked to. |
| `inspectorOverrides.destination-response.configModifiers[].schema` | object | No | Required for a `put` flavor config modifier. Indicates how to build the value at the location the selector specifies. |
| `inspectorOverrides.source-response` | object | No | Describes the changes to apply to a payload at the given processing location, whether on the source or destination side of the exchange. |
| `inspectorOverrides.source-response.configModifiers` | Array of object | No |  |
| `inspectorOverrides.source-response.configModifiers[].flavor` | string | Yes | Indicates the type, or flavor, of config modifier. A `put` flavor alters data (creates or replaces) in a payload, while a `delete` flavor removes data from a payload. Possible values: delete, put |
| `inspectorOverrides.source-response.configModifiers[].selector` | string | Yes | Indicates the location(s) within the payload that the config modifier will operate on. |
| `inspectorOverrides.source-response.configModifiers[].eventTypes` | Array of string, nullable | Yes | Indicates which event type(s) of the subscription the config modifier will operate on. If not restricted to certain event types, you must explicitly set this field to `null`; this means the config modifier will operate on all event types. |
| `inspectorOverrides.source-response.configModifiers[].id` | string (uuid) | No | Contains the unique identifier of an existing config modifier. If an `id` isn't provided, the config modifier described here will be processed as if it were newly created and will be assigned a temporary unique id. |
| `inspectorOverrides.source-response.configModifiers[].linkId` | string (uuid) | No | Specifies the subscription that an existing config modifier is linked to. |
| `inspectorOverrides.source-response.configModifiers[].schema` | object | No | Required for a `put` flavor config modifier. Indicates how to build the value at the location the selector specifies. |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/platform/v1/dry-run/logs/{logId}' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
  "environment": {
    "id": "string"
  },
  "inspectorOverrides": {
    "source-request": {
      "configModifiers": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "linkId": "009f739c-6620-43b0-978e-b245e723c57a",
          "flavor": "delete",
          "selector": "$.Patient.Identifiers[*].ID",
          "schema": {
            "plugin": {
              "name": "text",
              "action": "upper-case"
            }
          },
          "eventTypes": [
            "string"
          ]
        }
      ]
    },
    "destination-request": {
      "configModifiers": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "linkId": "009f739c-6620-43b0-978e-b245e723c57a",
          "flavor": "delete",
          "selector": "$.Patient.Identifiers[*].ID",
          "schema": {
            "plugin": {
              "name": "text",
              "action": "upper-case"
            }
          },
          "eventTypes": [
            "string"
          ]
        }
      ]
    },
    "destination-response": {
      "configModifiers": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "linkId": "009f739c-6620-43b0-978e-b245e723c57a",
          "flavor": "delete",
          "selector": "$.Patient.Identifiers[*].ID",
          "schema": {
            "plugin": {
              "name": "text",
              "action": "upper-case"
            }
          },
          "eventTypes": [
            "string"
          ]
        }
      ]
    },
    "source-response": {
      "configModifiers": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "linkId": "009f739c-6620-43b0-978e-b245e723c57a",
          "flavor": "delete",
          "selector": "$.Patient.Identifiers[*].ID",
          "schema": {
            "plugin": {
              "name": "text",
              "action": "upper-case"
            }
          },
          "eventTypes": [
            "string"
          ]
        }
      ]
    }
  }
}'
```

## Responses

### 200

Contains simulated log inspector results showing how the log would be processed. No data was sent and no new log was created.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `meta` | object | No |  |
| `meta.version` | string | No | Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences. |
| `payload` | object | No |  |
| `payload.result` | object | No | Contains simulated log inspector results for the specified log. Use these results for troubleshooting or comparison only. These results represent what would happen if the log were reprocessed, not what did happen. No log was retried or resent. |
| `payload.result.id` | string (uuid) | Yes | Contains the unique identifier of this log inspector processing attempt. This is NOT a new log ID since a log wasn't created. This ID is only useful for referencing this specific log inspector result and won't be found on the Logs page of the Redox dashboard. |
| `payload.result.timestamp` | string | Yes | Displays the date and time that log inspector ran in ISO 8601 format. |
| `payload.result.status` | string | Yes | Indicates the simulated log status from log inspector. This reflects what would happen if the log were reprocessed, but no actual reprocessing occurred. Possible values: failed, filtered, pending, succeeded |
| `payload.result.attempt` | object | Yes | Describes an attempt at processing a log. |
| `payload.result.attempt.id` | string (uuid) | Yes | Contains the unique identifier of the specific log attempt. |
| `payload.result.attempt.status` | string | Yes | Indicates the status for the log attempt (e.g., `succeeded`, `failed`, `filtered`, `pending`). Possible values: failed, filtered, pending, succeeded |
| `payload.result.attempt.timestamp` | string | Yes | Displays the date and time in ISO 8601 format indicating when the attempt was made. |
| `payload.result.attempt.stages` | Synchronous Processing Stages or Asynchronous Processing Stages | Yes | Describes a phase of log processing, which includes at least one operation or a collection of operations. |
| `payload.result.attempt.stages (Synchronous Processing Stages).request` | object | No |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).request.number` | integer | Yes | Indicates the sequential order in log processing where this stage occurs. |
| `payload.result.attempt.stages (Synchronous Processing Stages).request.name` | string | Yes | Displays the human-readable name of this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).request.status` | string, nullable | Yes | Indicates the overall status of a stage. Will be `null` if processing didn't reach this stage. Possible values: failed, filtered, pending, succeeded |
| `payload.result.attempt.stages (Synchronous Processing Stages).request.communicationMethod` | string | No | Indicates the communication method used during this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).request.dataFormat` | string | No | Describes the format the data was in when exchanged during this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).request.timestamp` | string, nullable | No | Indicates the date and time of the outcome of this processing stage in ISO 8601 format. |
| `payload.result.attempt.stages (Synchronous Processing Stages).request.error` | object | No | Contains details about an error that occurred during log processing. |
| `payload.result.attempt.stages (Synchronous Processing Stages).request.error.id` | number | Yes |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).request.error.message` | string | Yes | Contains the text of the error message. |
| `payload.result.attempt.stages (Synchronous Processing Stages).request.error.uniqueId` | string (uuid) | No |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).request.error.module` | string | No | Indicates where the error occurred. |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-request` | object | No |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-request.number` | integer | Yes | Indicates the sequential order in log processing where this stage occurs. |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-request.name` | string | Yes | Displays the human-readable name of this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-request.status` | string, nullable | Yes | Indicates the overall status of a stage. Will be `null` if processing didn't reach this stage. Possible values: failed, filtered, pending, succeeded |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-request.dataFormat` | string | No | Describes the format the data was in when exchanged during this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-request.timestamp` | string, nullable | No | Indicates the date and time of the outcome of this processing stage in ISO 8601 format. |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-request.error` | object | No | Contains details about an error that occurred during log processing. |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-request.error.id` | number | Yes |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-request.error.message` | string | Yes | Contains the text of the error message. |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-request.error.uniqueId` | string (uuid) | No |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-request.error.module` | string | No | Indicates where the error occurred. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-request` | object | No |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-request.number` | integer | Yes | Indicates the sequential order in log processing where this stage occurs. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-request.name` | string | Yes | Displays the human-readable name of this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-request.status` | string, nullable | Yes | Indicates the overall status of a stage. Will be `null` if processing didn't reach this stage. Possible values: failed, filtered, pending, succeeded |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-request.communicationMethod` | string | No | Indicates the communication method used during this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-request.dataFormat` | string | No | Describes the format the data was in when exchanged during this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-request.timestamp` | string, nullable | No | Indicates the date and time of the outcome of this processing stage in ISO 8601 format. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-request.error` | object | No | Contains details about an error that occurred during log processing. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-request.error.id` | number | Yes |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-request.error.message` | string | Yes | Contains the text of the error message. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-request.error.uniqueId` | string (uuid) | No |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-request.error.module` | string | No | Indicates where the error occurred. |
| `payload.result.attempt.stages (Synchronous Processing Stages).respond` | object | No |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).respond.number` | integer | Yes | Indicates the sequential order in log processing where this stage occurs. |
| `payload.result.attempt.stages (Synchronous Processing Stages).respond.name` | string | Yes | Displays the human-readable name of this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).respond.status` | string, nullable | Yes | Indicates the overall status of a stage. Will be `null` if processing didn't reach this stage. Possible values: failed, filtered, pending, succeeded |
| `payload.result.attempt.stages (Synchronous Processing Stages).respond.communicationMethod` | string | No | Indicates the communication method used during this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).respond.dataFormat` | string | No | Describes the format the data was in when exchanged during this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).respond.timestamp` | string, nullable | No | Indicates the date and time of the outcome of this processing stage in ISO 8601 format. |
| `payload.result.attempt.stages (Synchronous Processing Stages).respond.error` | object | No | Contains details about an error that occurred during log processing. |
| `payload.result.attempt.stages (Synchronous Processing Stages).respond.error.id` | number | Yes |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).respond.error.message` | string | Yes | Contains the text of the error message. |
| `payload.result.attempt.stages (Synchronous Processing Stages).respond.error.uniqueId` | string (uuid) | No |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).respond.error.module` | string | No | Indicates where the error occurred. |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-response` | object | No |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-response.number` | integer | Yes | Indicates the sequential order in log processing where this stage occurs. |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-response.name` | string | Yes | Displays the human-readable name of this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-response.status` | string, nullable | Yes | Indicates the overall status of a stage. Will be `null` if processing didn't reach this stage. Possible values: failed, filtered, pending, succeeded |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-response.dataFormat` | string | No | Describes the format the data was in when exchanged during this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-response.timestamp` | string, nullable | No | Indicates the date and time of the outcome of this processing stage in ISO 8601 format. |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-response.error` | object | No | Contains details about an error that occurred during log processing. |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-response.error.id` | number | Yes |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-response.error.message` | string | Yes | Contains the text of the error message. |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-response.error.uniqueId` | string (uuid) | No |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).process-response.error.module` | string | No | Indicates where the error occurred. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-response` | object | No |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-response.number` | integer | Yes | Indicates the sequential order in log processing where this stage occurs. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-response.name` | string | Yes | Displays the human-readable name of this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-response.status` | string, nullable | Yes | Indicates the overall status of a stage. Will be `null` if processing didn't reach this stage. Possible values: failed, filtered, pending, succeeded |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-response.dataFormat` | string | No | Describes the format the data was in when exchanged during this processing stage. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-response.timestamp` | string, nullable | No | Indicates the date and time of the outcome of this processing stage in ISO 8601 format. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-response.error` | object | No | Contains details about an error that occurred during log processing. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-response.error.id` | number | Yes |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-response.error.message` | string | Yes | Contains the text of the error message. |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-response.error.uniqueId` | string (uuid) | No |  |
| `payload.result.attempt.stages (Synchronous Processing Stages).receive-response.error.module` | string | No | Indicates where the error occurred. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).send` | object | No |  |
| `payload.result.attempt.stages (Asynchronous Processing Stages).send.number` | integer | Yes | Indicates the sequential order in log processing where this stage occurs. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).send.name` | string | Yes | Displays the human-readable name of this processing stage. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).send.status` | string, nullable | Yes | Indicates the overall status of a stage. Will be `null` if processing didn't reach this stage. Possible values: failed, filtered, pending, succeeded |
| `payload.result.attempt.stages (Asynchronous Processing Stages).send.communicationMethod` | string | No | Indicates the communication method used during this processing stage. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).send.dataFormat` | string | No | Describes the format the data was in when exchanged during this processing stage. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).send.timestamp` | string, nullable | No | Indicates the date and time of the outcome of this processing stage in ISO 8601 format. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).send.error` | object | No | Contains details about an error that occurred during log processing. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).send.error.id` | number | Yes |  |
| `payload.result.attempt.stages (Asynchronous Processing Stages).send.error.message` | string | Yes | Contains the text of the error message. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).send.error.uniqueId` | string (uuid) | No |  |
| `payload.result.attempt.stages (Asynchronous Processing Stages).send.error.module` | string | No | Indicates where the error occurred. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).process` | object | No |  |
| `payload.result.attempt.stages (Asynchronous Processing Stages).process.number` | integer | Yes | Indicates the sequential order in log processing where this stage occurs. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).process.name` | string | Yes | Displays the human-readable name of this processing stage. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).process.status` | string, nullable | Yes | Indicates the overall status of a stage. Will be `null` if processing didn't reach this stage. Possible values: failed, filtered, pending, succeeded |
| `payload.result.attempt.stages (Asynchronous Processing Stages).process.dataFormat` | string | No | Describes the format the data was in when exchanged during this processing stage. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).process.timestamp` | string, nullable | No | Indicates the date and time of the outcome of this processing stage in ISO 8601 format. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).process.error` | object | No | Contains details about an error that occurred during log processing. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).process.error.id` | number | Yes |  |
| `payload.result.attempt.stages (Asynchronous Processing Stages).process.error.message` | string | Yes | Contains the text of the error message. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).process.error.uniqueId` | string (uuid) | No |  |
| `payload.result.attempt.stages (Asynchronous Processing Stages).process.error.module` | string | No | Indicates where the error occurred. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).receive` | object | No |  |
| `payload.result.attempt.stages (Asynchronous Processing Stages).receive.number` | integer | Yes | Indicates the sequential order in log processing where this stage occurs. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).receive.name` | string | Yes | Displays the human-readable name of this processing stage. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).receive.status` | string, nullable | Yes | Indicates the overall status of a stage. Will be `null` if processing didn't reach this stage. Possible values: failed, filtered, pending, succeeded |
| `payload.result.attempt.stages (Asynchronous Processing Stages).receive.communicationMethod` | string | No | Indicates the communication method used during this processing stage. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).receive.dataFormat` | string | No | Describes the format the data was in when exchanged during this processing stage. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).receive.timestamp` | string, nullable | No | Indicates the date and time of the outcome of this processing stage in ISO 8601 format. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).receive.error` | object | No | Contains details about an error that occurred during log processing. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).receive.error.id` | number | Yes |  |
| `payload.result.attempt.stages (Asynchronous Processing Stages).receive.error.message` | string | Yes | Contains the text of the error message. |
| `payload.result.attempt.stages (Asynchronous Processing Stages).receive.error.uniqueId` | string (uuid) | No |  |
| `payload.result.attempt.stages (Asynchronous Processing Stages).receive.error.module` | string | No | Indicates where the error occurred. |
| `payload.result.attempt.executionStages` | Array of object | Yes | Describes a phase of log processing. |
| `payload.result.attempt.executionStages[].stageType` | string | Yes | Defines which stage and where it's located during log processing. Possible values: send, source-request-processing, data-model, destination-request-processing, delivery, destination-response-processing, response-data-model, source-response-processing, response |
| `payload.result.attempt.executionStages[].status` | string, nullable | Yes | Indicates the status for the log attempt at this stage. Possible values: failed, filtered, pending, succeeded |
| `payload.result.attempt.executionStages[].executionEvents` | Array of Operation or Payload | Yes | Lists the operations and payloads that were executed during this stage of log processing. |
| `payload.result.attempt.executionStages[].executionEvents[] (Operation).kind` | string | Yes | Value: operation |
| `payload.result.attempt.executionStages[].executionEvents[] (Operation).operationId` | string (uuid) | Yes | Contains the unique identifier of the executed operation. |
| `payload.result.attempt.executionStages[].executionEvents[] (Payload).kind` | string | Yes | Value: payload |
| `payload.result.attempt.executionStages[].executionEvents[] (Payload).snapshotType` | string | Yes | Indicates the type of payload captured in this event. Possible values: requestDataModelJSON, responseDataModelJSON, sourceRequest, sourceResponse, destinationRequest, destinationResponse |
| `payload.result.attempt.executionStages[].executionEvents[] (Payload).dataFormat` | string | No | Describes the format of the data in the payload. |
| `payload.result.attempt.executionStages[].timestamp` | string (date-time) | No | Displays the date and time in ISO 8601 format indicating when this stage was completed. |
| `payload.result.attempt.executionStages[].communicationMethod` | string | No | Indicates the communication method used during this processing stage. |
| `payload.result.attempt.executionStages[].error` | object | No | Contains details about an error that occurred during log processing. |
| `payload.result.attempt.executionStages[].error.id` | number | Yes |  |
| `payload.result.attempt.executionStages[].error.message` | string | Yes | Contains the text of the error message. |
| `payload.result.attempt.executionStages[].error.uniqueId` | string (uuid) | No |  |
| `payload.result.attempt.executionStages[].error.module` | string | No | Indicates where the error occurred. |
| `payload.result.attempt.operations` | Array of BLOB resolvers or Cleansers or Conductors or Config modifiers or Filters or Deliveries or JSON converters or Pre-parsers or Redox configurations or Redox filters or Taggers or Translations | Yes | Describes any operations (e.g., filters, translations) that were performed during log processing. |
| `payload.result.attempt.operations[] (BLOB resolvers).type` | string | Yes | Indicates the type of operation performed. The type determines what data is included in the `Details` property. Possible values: blobResolvers, cleansers, conductors, configModifiers, deliveries, filters, jsonConverters, preParsers, redoxConfigurations, redoxFilters, taggers, translations |
| `payload.result.attempt.operations[] (BLOB resolvers).operationId` | string (uuid) | Yes | Contains the unique identifier of the given operation. |
| `payload.result.attempt.operations[] (BLOB resolvers).version` | number | Yes | Displays the Redox version of the given operation. |
| `payload.result.attempt.operations[] (BLOB resolvers).order` | number | Yes | Indicates the sequential order in log processing where the operation occurs. The first operation will have an order number of 1. |
| `payload.result.attempt.operations[] (BLOB resolvers).attemptStage` | string | Yes | Describes the processing stage where the given operation occurred. Possible values: send, process, receive, request, process-request, receive-request, respond, process-response, receive-response |
| `payload.result.attempt.operations[] (BLOB resolvers).startTime` | string | Yes | Displays the date and time that the operation began processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (BLOB resolvers).endTime` | string | Yes | Displays the date and time that the operation finished processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (BLOB resolvers).typeCanModifyPayload` | boolean | Yes | Indicates whether the operation can alter any payload content. |
| `payload.result.attempt.operations[] (BLOB resolvers).managedBy` | string | Yes | Indicates whether you (i.e., `customer`) can create and manage this operation type, or if only a Redoxer (i.e., `redox`) can. Possible values: redox, customer |
| `payload.result.attempt.operations[] (BLOB resolvers).details` | object | Yes |  |
| `payload.result.attempt.operations[] (BLOB resolvers).details.blobResolvers` | Array of object | Yes |  |
| `payload.result.attempt.operations[] (BLOB resolvers).details.blobResolvers[].id` | number | Yes | Contains the unique identifier of the BLOB resolver. |
| `payload.result.attempt.operations[] (BLOB resolvers).details.blobResolvers[].status` | string | Yes | Indicates whether the BLOB file location referenced in the payload could be found and resolved to its file contents. Possible values: found, not-found |
| `payload.result.attempt.operations[] (BLOB resolvers).error` | object | No | Describes any errors related to the operation that occurred during log processing. |
| `payload.result.attempt.operations[] (BLOB resolvers).error.id` | string (uuid) | No | Contains the unique identifier of the error. |
| `payload.result.attempt.operations[] (BLOB resolvers).error.code` | string | No | Displays a code that indicates the type of error that occurred. |
| `payload.result.attempt.operations[] (BLOB resolvers).error.meta` | object | No | Contains metadata about the error that occurred. This can vary depending on the specific error. |
| `payload.result.attempt.operations[] (BLOB resolvers).error.title` | string | No | Contains a human-readable description of the error. |
| `payload.result.attempt.operations[] (BLOB resolvers).error.detail` | string | No | Explains the error in more detail. |
| `payload.result.attempt.operations[] (BLOB resolvers).inputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each input snapshot, respectively, for a given log, which represent the full payload input to the given operation. |
| `payload.result.attempt.operations[] (BLOB resolvers).outputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each output snapshot, respectively, for a given log, which represent the full payload output from the given operation. |
| `payload.result.attempt.operations[] (BLOB resolvers).managedByOrganization` | object | No | Describes the Redox organization that owns and manages a given operation. |
| `payload.result.attempt.operations[] (BLOB resolvers).managedByOrganization.id` | number, nullable | No | Contains the unique identifier of the organization. |
| `payload.result.attempt.operations[] (BLOB resolvers).managedByOrganization.name` | string | No | Displays the human-readable name for the organization. |
| `payload.result.attempt.operations[] (Cleansers).type` | string | Yes | Indicates the type of operation performed. The type determines what data is included in the `Details` property. Possible values: blobResolvers, cleansers, conductors, configModifiers, deliveries, filters, jsonConverters, preParsers, redoxConfigurations, redoxFilters, taggers, translations |
| `payload.result.attempt.operations[] (Cleansers).operationId` | string (uuid) | Yes | Contains the unique identifier of the given operation. |
| `payload.result.attempt.operations[] (Cleansers).version` | number | Yes | Displays the Redox version of the given operation. |
| `payload.result.attempt.operations[] (Cleansers).order` | number | Yes | Indicates the sequential order in log processing where the operation occurs. The first operation will have an order number of 1. |
| `payload.result.attempt.operations[] (Cleansers).attemptStage` | string | Yes | Describes the processing stage where the given operation occurred. Possible values: send, process, receive, request, process-request, receive-request, respond, process-response, receive-response |
| `payload.result.attempt.operations[] (Cleansers).startTime` | string | Yes | Displays the date and time that the operation began processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Cleansers).endTime` | string | Yes | Displays the date and time that the operation finished processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Cleansers).typeCanModifyPayload` | boolean | Yes | Indicates whether the operation can alter any payload content. |
| `payload.result.attempt.operations[] (Cleansers).managedBy` | string | Yes | Indicates whether you (i.e., `customer`) can create and manage this operation type, or if only a Redoxer (i.e., `redox`) can. Possible values: redox, customer |
| `payload.result.attempt.operations[] (Cleansers).details` | object | Yes |  |
| `payload.result.attempt.operations[] (Cleansers).details.cleansers` | Array of object | Yes |  |
| `payload.result.attempt.operations[] (Cleansers).error` | object | No | Describes any errors related to the operation that occurred during log processing. |
| `payload.result.attempt.operations[] (Cleansers).error.id` | string (uuid) | No | Contains the unique identifier of the error. |
| `payload.result.attempt.operations[] (Cleansers).error.code` | string | No | Displays a code that indicates the type of error that occurred. |
| `payload.result.attempt.operations[] (Cleansers).error.meta` | object | No | Contains metadata about the error that occurred. This can vary depending on the specific error. |
| `payload.result.attempt.operations[] (Cleansers).error.title` | string | No | Contains a human-readable description of the error. |
| `payload.result.attempt.operations[] (Cleansers).error.detail` | string | No | Explains the error in more detail. |
| `payload.result.attempt.operations[] (Cleansers).inputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each input snapshot, respectively, for a given log, which represent the full payload input to the given operation. |
| `payload.result.attempt.operations[] (Cleansers).outputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each output snapshot, respectively, for a given log, which represent the full payload output from the given operation. |
| `payload.result.attempt.operations[] (Cleansers).managedByOrganization` | object | No | Describes the Redox organization that owns and manages a given operation. |
| `payload.result.attempt.operations[] (Cleansers).managedByOrganization.id` | number, nullable | No | Contains the unique identifier of the organization. |
| `payload.result.attempt.operations[] (Cleansers).managedByOrganization.name` | string | No | Displays the human-readable name for the organization. |
| `payload.result.attempt.operations[] (Conductors).type` | string | Yes | Indicates the type of operation performed. The type determines what data is included in the `Details` property. Possible values: blobResolvers, cleansers, conductors, configModifiers, deliveries, filters, jsonConverters, preParsers, redoxConfigurations, redoxFilters, taggers, translations |
| `payload.result.attempt.operations[] (Conductors).operationId` | string (uuid) | Yes | Contains the unique identifier of the given operation. |
| `payload.result.attempt.operations[] (Conductors).version` | number | Yes | Displays the Redox version of the given operation. |
| `payload.result.attempt.operations[] (Conductors).order` | number | Yes | Indicates the sequential order in log processing where the operation occurs. The first operation will have an order number of 1. |
| `payload.result.attempt.operations[] (Conductors).attemptStage` | string | Yes | Describes the processing stage where the given operation occurred. Possible values: send, process, receive, request, process-request, receive-request, respond, process-response, receive-response |
| `payload.result.attempt.operations[] (Conductors).startTime` | string | Yes | Displays the date and time that the operation began processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Conductors).endTime` | string | Yes | Displays the date and time that the operation finished processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Conductors).typeCanModifyPayload` | boolean | Yes | Indicates whether the operation can alter any payload content. |
| `payload.result.attempt.operations[] (Conductors).managedBy` | string | Yes | Indicates whether you (i.e., `customer`) can create and manage this operation type, or if only a Redoxer (i.e., `redox`) can. Possible values: redox, customer |
| `payload.result.attempt.operations[] (Conductors).details` | object | Yes |  |
| `payload.result.attempt.operations[] (Conductors).details.conductors` | Array of object | Yes |  |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].routingKind` | string | Yes | Identifies how to find within the structured log data the correct destinations for the log. Possible values: dataModel, fhir |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions` | Array of object | Yes | Describes the subscriptions matched to the given log. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].id` | number | Yes | Contains the unique identifier of a given subscription. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].name` | string | No | Displays a human-readable name for a given subscription. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].dataModel` | string | No | Identifies the Redox data model used to exchange data for a given subscription. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].source` | object | No | Describes the system that originated the log. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].source.id` | string (uuid) | No | Displays the unique identifier of the Redox source. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].source.name` | string | No | Displays the human-readable name of the Redox source. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].source.organization` | object | No | Describes the Redox organization associated with this source. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].source.organization.id` | integer | No | Displays the unique identifier of the Redox organization. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].source.organization.name` | string | No | Displays the human-readable name of the Redox organization. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].destination` | object | No | Describes the intended destination for the log. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].destination.id` | string (uuid) | No | Displays the unique identifier of the Redox destination. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].destination.name` | string | No | Displays the human-readable name of the Redox destination. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].destination.organization` | object | No | Describes the Redox organization associated with this destination. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].destination.organization.id` | integer | No | Displays the unique identifier of the Redox organization. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].subscriptions[].destination.organization.name` | string | No | Displays the human-readable name of the Redox organization. |
| `payload.result.attempt.operations[] (Conductors).details.conductors[].slugRoute` | string | No | Provides additional information for matching the correct destinations to a fhir log specifically. |
| `payload.result.attempt.operations[] (Conductors).error` | object | No | Describes any errors related to the operation that occurred during log processing. |
| `payload.result.attempt.operations[] (Conductors).error.id` | string (uuid) | No | Contains the unique identifier of the error. |
| `payload.result.attempt.operations[] (Conductors).error.code` | string | No | Displays a code that indicates the type of error that occurred. |
| `payload.result.attempt.operations[] (Conductors).error.meta` | object | No | Contains metadata about the error that occurred. This can vary depending on the specific error. |
| `payload.result.attempt.operations[] (Conductors).error.title` | string | No | Contains a human-readable description of the error. |
| `payload.result.attempt.operations[] (Conductors).error.detail` | string | No | Explains the error in more detail. |
| `payload.result.attempt.operations[] (Conductors).inputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each input snapshot, respectively, for a given log, which represent the full payload input to the given operation. |
| `payload.result.attempt.operations[] (Conductors).outputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each output snapshot, respectively, for a given log, which represent the full payload output from the given operation. |
| `payload.result.attempt.operations[] (Conductors).managedByOrganization` | object | No | Describes the Redox organization that owns and manages a given operation. |
| `payload.result.attempt.operations[] (Conductors).managedByOrganization.id` | number, nullable | No | Contains the unique identifier of the organization. |
| `payload.result.attempt.operations[] (Conductors).managedByOrganization.name` | string | No | Displays the human-readable name for the organization. |
| `payload.result.attempt.operations[] (Config modifiers).type` | string | Yes | Indicates the type of operation performed. The type determines what data is included in the `Details` property. Possible values: blobResolvers, cleansers, conductors, configModifiers, deliveries, filters, jsonConverters, preParsers, redoxConfigurations, redoxFilters, taggers, translations |
| `payload.result.attempt.operations[] (Config modifiers).operationId` | string (uuid) | Yes | Contains the unique identifier of the given operation. |
| `payload.result.attempt.operations[] (Config modifiers).version` | number | Yes | Displays the Redox version of the given operation. |
| `payload.result.attempt.operations[] (Config modifiers).order` | number | Yes | Indicates the sequential order in log processing where the operation occurs. The first operation will have an order number of 1. |
| `payload.result.attempt.operations[] (Config modifiers).attemptStage` | string | Yes | Describes the processing stage where the given operation occurred. Possible values: send, process, receive, request, process-request, receive-request, respond, process-response, receive-response |
| `payload.result.attempt.operations[] (Config modifiers).startTime` | string | Yes | Displays the date and time that the operation began processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Config modifiers).endTime` | string | Yes | Displays the date and time that the operation finished processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Config modifiers).typeCanModifyPayload` | boolean | Yes | Indicates whether the operation can alter any payload content. |
| `payload.result.attempt.operations[] (Config modifiers).managedBy` | string | Yes | Indicates whether you (i.e., `customer`) can create and manage this operation type, or if only a Redoxer (i.e., `redox`) can. Possible values: redox, customer |
| `payload.result.attempt.operations[] (Config modifiers).ownedBy` | string | Yes | Indicates if the given config modifier is owned and managed by the source organization or the destination organization for the subscription to which the config modifier has been applied. Possible values: source, destination |
| `payload.result.attempt.operations[] (Config modifiers).details` | object | Yes |  |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers` | Array of object | Yes |  |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].configModifierId` | string (uuid) | Yes | Displays the unique identifier of the config modifier. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].configModifierVersion` | number | Yes | Indicates the iteration, or version number, of the config modifier. Versions numbers will start at 1. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].processingLocation` | string | Yes | Describes the processing stage where the config modifier was applied. Possible values: source-request, destination-request, source-response, destination-response |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].flavor` | string | Yes | Specifies whether the config modifier targeted parts of a payload to be removed (delete), or to be replaced or inserted (put). Possible values: put, delete |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].selector` | string | Yes | Indicates the location(s) within the payload where the config modifier operated. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].outcome` | string | Yes | Describes the result of applying the given config modifier to the payload. A value of `succeeded` indicates that the payload was modified as specified by the config modifier. A value of `field-not-found` indicates that the field specified in the selector was not found in the payload. A value of `not-run` indicates that the config modifier was not applied to the payload at all. A value of `failed` indicates that there was an error while applying the config modifier to the payload. Possible values: failed, field-not-found, not-run, succeeded |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].managedByOrganization` | object | Yes | Describes the Redox organization that owns and manages a given operation. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].managedByOrganization.id` | number, nullable | No | Contains the unique identifier of the organization. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].managedByOrganization.name` | string | No | Displays the human-readable name for the organization. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].assignment` | object | Yes |  |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].assignment.id` | string (uuid) | No | Contains the unique identifier of the link between an operation and the subscription it applies to. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].assignment.kind` | string | No | Indicates the type of operation being linked. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].assignment.updatedBy` | object | No |  |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].assignment.updatedBy.id` | number, nullable | No | Contains the unique identifier of the user who most recently modified the assignment. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].assignment.updatedBy.name` | string | No | The human-readable name of the user who most recently modified the assignment. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].assignment.updatedAt` | string, nullable | No | The date and time that the assignment was last modified in ISO-8601 format. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].assignment.eventTypes` | Array of string, nullable | No | The specific event type(s) which will be targeted by the associated config modifier. If null, the config modifier will apply to all event types. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].configModifierName` | string | No | Displays the human-readable name of the config modifier. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].schema` | object, nullable | No | Indicates how the value was built at the location specified by the selector. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].updatedBy` | object | No |  |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].updatedBy.id` | number, nullable | No | Contains the unique identifier of the user who most recently modified the config modifier. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].updatedBy.name` | string | No | The human-readable name of the user who most recently modified the config modifier. |
| `payload.result.attempt.operations[] (Config modifiers).details.configModifiers[].updatedAt` | string, nullable | No | The date and time that the assignment was last modified in ISO 8601 format. |
| `payload.result.attempt.operations[] (Config modifiers).error` | object | No | Describes any errors related to the operation that occurred during log processing. |
| `payload.result.attempt.operations[] (Config modifiers).error.id` | string (uuid) | No | Contains the unique identifier of the error. |
| `payload.result.attempt.operations[] (Config modifiers).error.code` | string | No | Displays a code that indicates the type of error that occurred. |
| `payload.result.attempt.operations[] (Config modifiers).error.meta` | object | No | Contains metadata about the error that occurred. This can vary depending on the specific error. |
| `payload.result.attempt.operations[] (Config modifiers).error.title` | string | No | Contains a human-readable description of the error. |
| `payload.result.attempt.operations[] (Config modifiers).error.detail` | string | No | Explains the error in more detail. |
| `payload.result.attempt.operations[] (Config modifiers).inputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each input snapshot, respectively, for a given log, which represent the full payload input to the given operation. |
| `payload.result.attempt.operations[] (Config modifiers).outputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each output snapshot, respectively, for a given log, which represent the full payload output from the given operation. |
| `payload.result.attempt.operations[] (Config modifiers).managedByOrganization` | object | No | Describes the Redox organization that owns and manages a given operation. |
| `payload.result.attempt.operations[] (Config modifiers).managedByOrganization.id` | number, nullable | No | Contains the unique identifier of the organization. |
| `payload.result.attempt.operations[] (Config modifiers).managedByOrganization.name` | string | No | Displays the human-readable name for the organization. |
| `payload.result.attempt.operations[] (Filters).type` | string | Yes | Indicates the type of operation performed. The type determines what data is included in the `Details` property. Possible values: blobResolvers, cleansers, conductors, configModifiers, deliveries, filters, jsonConverters, preParsers, redoxConfigurations, redoxFilters, taggers, translations |
| `payload.result.attempt.operations[] (Filters).operationId` | string (uuid) | Yes | Contains the unique identifier of the given operation. |
| `payload.result.attempt.operations[] (Filters).version` | number | Yes | Displays the Redox version of the given operation. |
| `payload.result.attempt.operations[] (Filters).order` | number | Yes | Indicates the sequential order in log processing where the operation occurs. The first operation will have an order number of 1. |
| `payload.result.attempt.operations[] (Filters).attemptStage` | string | Yes | Describes the processing stage where the given operation occurred. Possible values: send, process, receive, request, process-request, receive-request, respond, process-response, receive-response |
| `payload.result.attempt.operations[] (Filters).startTime` | string | Yes | Displays the date and time that the operation began processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Filters).endTime` | string | Yes | Displays the date and time that the operation finished processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Filters).typeCanModifyPayload` | boolean | Yes | Indicates whether the operation can alter any payload content. |
| `payload.result.attempt.operations[] (Filters).managedBy` | string | Yes | Indicates whether you (i.e., `customer`) can create and manage this operation type, or if only a Redoxer (i.e., `redox`) can. Possible values: redox, customer |
| `payload.result.attempt.operations[] (Filters).details` | object | Yes |  |
| `payload.result.attempt.operations[] (Filters).details.outcome` | string | Yes | Indicates if applying the filter's criteria to the given log would result in the log being filtered or not. Possible values: filtered, not-filtered |
| `payload.result.attempt.operations[] (Filters).details.shouldFilter` | boolean | Yes | Describes if the log to which the filter is being applied should be sent (not filtered) or not sent (filtered). |
| `payload.result.attempt.operations[] (Filters).details.filters` | Array of object | Yes |  |
| `payload.result.attempt.operations[] (Filters).details.filters[].action` | string | Yes | Describes the type of filter that will apply to the log. A `block-all` value indicates that any logs that meet the criteria will be blocked. A `send` value indicates that a log meeting the filter criteria will be allowed through. Possible values: send, block-all |
| `payload.result.attempt.operations[] (Filters).details.filters[].filterVersion` | number | Yes | Displays the version of the filter that was applied to the log. A filter's version number is incremented every time the filter is updated. |
| `payload.result.attempt.operations[] (Filters).details.filters[].outcome` | string | Yes | Summarizes the outcomes of all the defined rules for this filter operation. If `evaluated`, all filter rules were evaluated; this doesn't mean all criteria was satisfied but that each rule was evaluated without encountering errors. If `skipped`, another filter ran before this one and blocked this log; in other words, this filter didn't need to be evaluated. If `disqualified`, the filter is invalid due to its configuration settings (e.g., invalid path syntax in one of the filters rules), so the filter failed to run. Possible values: disqualified, evaluated, skipped |
| `payload.result.attempt.operations[] (Filters).details.filters[].rules` | Array of object | Yes |  |
| `payload.result.attempt.operations[] (Filters).details.filters[].rules[].path` | string | Yes | Displays the JSON path of the fields which are compared against the filter criteria defined in the rule. |
| `payload.result.attempt.operations[] (Filters).details.filters[].rules[].outcome` | string | Yes | Describes the result of an individual `send-if` filter rule. If `satisfied`, the filter rule's criteria was met, and the next filter rule in the sequence was evaluated. If `unsatisfied`, the filter rule's criteria wasn't met, so the log wasn't sent per the defined `send-if` filter. If `skipped`, the previous filter rule was `unsatisfied`, so this rule wasn't evaluated. If `disqualified`, the filter rule is invalid due to its configuration settings (e.g., invalid field path syntax). Possible values: disqualified, satisfied, skipped, unsatisfied |
| `payload.result.attempt.operations[] (Filters).details.filters[].filterId` | string (uuid) | Yes | Contains the unique identifier of the filter. |
| `payload.result.attempt.operations[] (Filters).details.filters[].managedByOrganization` | object | Yes | Describes the Redox organization that owns and manages a given operation. |
| `payload.result.attempt.operations[] (Filters).details.filters[].managedByOrganization.id` | number, nullable | No | Contains the unique identifier of the organization. |
| `payload.result.attempt.operations[] (Filters).details.filters[].managedByOrganization.name` | string | No | Displays the human-readable name for the organization. |
| `payload.result.attempt.operations[] (Filters).details.filters[].assignment` | object | Yes |  |
| `payload.result.attempt.operations[] (Filters).details.filters[].assignment.id` | string (uuid) | No | Contains the unique identifier of the link between an operation and the subscription it applies to. |
| `payload.result.attempt.operations[] (Filters).details.filters[].assignment.kind` | string | No | Indicates the type of operation being linked. |
| `payload.result.attempt.operations[] (Filters).details.filters[].assignment.updatedBy` | object | No |  |
| `payload.result.attempt.operations[] (Filters).details.filters[].assignment.updatedBy.id` | number, nullable | No | Contains the unique identifier of the user who most recently modified the assignment. |
| `payload.result.attempt.operations[] (Filters).details.filters[].assignment.updatedBy.name` | string | No | The human-readable name of the user who most recently modified the assignment. |
| `payload.result.attempt.operations[] (Filters).details.filters[].assignment.updatedAt` | string, nullable | No | The date and time that the assignment was last modified in ISO-8601 format. |
| `payload.result.attempt.operations[] (Filters).details.filters[].filterName` | string | No | Displays the human-readable name for the filter. |
| `payload.result.attempt.operations[] (Filters).details.filters[].subscription` | object | No |  |
| `payload.result.attempt.operations[] (Filters).details.filters[].subscription.id` | number | No | Contains the unique identifier of the subscription that the filter applies to. |
| `payload.result.attempt.operations[] (Filters).details.filters[].updatedAt` | string, nullable | No | The date and time that the filter was last modified. |
| `payload.result.attempt.operations[] (Filters).error` | object | No | Describes any errors related to the operation that occurred during log processing. |
| `payload.result.attempt.operations[] (Filters).error.id` | string (uuid) | No | Contains the unique identifier of the error. |
| `payload.result.attempt.operations[] (Filters).error.code` | string | No | Displays a code that indicates the type of error that occurred. |
| `payload.result.attempt.operations[] (Filters).error.meta` | object | No | Contains metadata about the error that occurred. This can vary depending on the specific error. |
| `payload.result.attempt.operations[] (Filters).error.title` | string | No | Contains a human-readable description of the error. |
| `payload.result.attempt.operations[] (Filters).error.detail` | string | No | Explains the error in more detail. |
| `payload.result.attempt.operations[] (Filters).inputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each input snapshot, respectively, for a given log, which represent the full payload input to the given operation. |
| `payload.result.attempt.operations[] (Filters).outputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each output snapshot, respectively, for a given log, which represent the full payload output from the given operation. |
| `payload.result.attempt.operations[] (Filters).managedByOrganization` | object | No | Describes the Redox organization that owns and manages a given operation. |
| `payload.result.attempt.operations[] (Filters).managedByOrganization.id` | number, nullable | No | Contains the unique identifier of the organization. |
| `payload.result.attempt.operations[] (Filters).managedByOrganization.name` | string | No | Displays the human-readable name for the organization. |
| `payload.result.attempt.operations[] (Deliveries).type` | string | Yes | Indicates the type of operation performed. The type determines what data is included in the `Details` property. Possible values: blobResolvers, cleansers, conductors, configModifiers, deliveries, filters, jsonConverters, preParsers, redoxConfigurations, redoxFilters, taggers, translations |
| `payload.result.attempt.operations[] (Deliveries).operationId` | string (uuid) | Yes | Contains the unique identifier of the given operation. |
| `payload.result.attempt.operations[] (Deliveries).version` | number | Yes | Displays the Redox version of the given operation. |
| `payload.result.attempt.operations[] (Deliveries).order` | number | Yes | Indicates the sequential order in log processing where the operation occurs. The first operation will have an order number of 1. |
| `payload.result.attempt.operations[] (Deliveries).attemptStage` | string | Yes | Describes the processing stage where the given operation occurred. Possible values: send, process, receive, request, process-request, receive-request, respond, process-response, receive-response |
| `payload.result.attempt.operations[] (Deliveries).startTime` | string | Yes | Displays the date and time that the operation began processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Deliveries).endTime` | string | Yes | Displays the date and time that the operation finished processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Deliveries).typeCanModifyPayload` | boolean | Yes | Indicates whether the operation can alter any payload content. |
| `payload.result.attempt.operations[] (Deliveries).managedBy` | string | Yes | Indicates whether you (i.e., `customer`) can create and manage this operation type, or if only a Redoxer (i.e., `redox`) can. Possible values: redox, customer |
| `payload.result.attempt.operations[] (Deliveries).details` | object | Yes |  |
| `payload.result.attempt.operations[] (Deliveries).details.deliveries` | Array of object | No |  |
| `payload.result.attempt.operations[] (Deliveries).error` | object | No | Describes any errors related to the operation that occurred during log processing. |
| `payload.result.attempt.operations[] (Deliveries).error.id` | string (uuid) | No | Contains the unique identifier of the error. |
| `payload.result.attempt.operations[] (Deliveries).error.code` | string | No | Displays a code that indicates the type of error that occurred. |
| `payload.result.attempt.operations[] (Deliveries).error.meta` | object | No | Contains metadata about the error that occurred. This can vary depending on the specific error. |
| `payload.result.attempt.operations[] (Deliveries).error.title` | string | No | Contains a human-readable description of the error. |
| `payload.result.attempt.operations[] (Deliveries).error.detail` | string | No | Explains the error in more detail. |
| `payload.result.attempt.operations[] (Deliveries).inputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each input snapshot, respectively, for a given log, which represent the full payload input to the given operation. |
| `payload.result.attempt.operations[] (Deliveries).outputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each output snapshot, respectively, for a given log, which represent the full payload output from the given operation. |
| `payload.result.attempt.operations[] (Deliveries).managedByOrganization` | object | No | Describes the Redox organization that owns and manages a given operation. |
| `payload.result.attempt.operations[] (Deliveries).managedByOrganization.id` | number, nullable | No | Contains the unique identifier of the organization. |
| `payload.result.attempt.operations[] (Deliveries).managedByOrganization.name` | string | No | Displays the human-readable name for the organization. |
| `payload.result.attempt.operations[] (JSON converters).type` | string | Yes | Indicates the type of operation performed. The type determines what data is included in the `Details` property. Possible values: blobResolvers, cleansers, conductors, configModifiers, deliveries, filters, jsonConverters, preParsers, redoxConfigurations, redoxFilters, taggers, translations |
| `payload.result.attempt.operations[] (JSON converters).operationId` | string (uuid) | Yes | Contains the unique identifier of the given operation. |
| `payload.result.attempt.operations[] (JSON converters).version` | number | Yes | Displays the Redox version of the given operation. |
| `payload.result.attempt.operations[] (JSON converters).order` | number | Yes | Indicates the sequential order in log processing where the operation occurs. The first operation will have an order number of 1. |
| `payload.result.attempt.operations[] (JSON converters).attemptStage` | string | Yes | Describes the processing stage where the given operation occurred. Possible values: send, process, receive, request, process-request, receive-request, respond, process-response, receive-response |
| `payload.result.attempt.operations[] (JSON converters).startTime` | string | Yes | Displays the date and time that the operation began processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (JSON converters).endTime` | string | Yes | Displays the date and time that the operation finished processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (JSON converters).typeCanModifyPayload` | boolean | Yes | Indicates whether the operation can alter any payload content. |
| `payload.result.attempt.operations[] (JSON converters).managedBy` | string | Yes | Indicates whether you (i.e., `customer`) can create and manage this operation type, or if only a Redoxer (i.e., `redox`) can. Possible values: redox, customer |
| `payload.result.attempt.operations[] (JSON converters).details` | object | Yes |  |
| `payload.result.attempt.operations[] (JSON converters).details.jsonConverters` | Array of object | No |  |
| `payload.result.attempt.operations[] (JSON converters).details.jsonConverters[].direction` | string | No | Indicates if the payload is being converted from JSON to another data format, or from another data format into JSON. Possible values: from-json, to-json |
| `payload.result.attempt.operations[] (JSON converters).details.jsonConverters[].dataFormat` | string | No | Displays the data format being converted to or from JSON. |
| `payload.result.attempt.operations[] (JSON converters).details.jsonConverters[].template` | object | No |  |
| `payload.result.attempt.operations[] (JSON converters).details.jsonConverters[].template.id` | string | No | Displays the unique identifier of the given conversion template. |
| `payload.result.attempt.operations[] (JSON converters).details.jsonConverters[].template.name` | string | No | Displays the human-readable name for the given conversion template. |
| `payload.result.attempt.operations[] (JSON converters).error` | object | No | Describes any errors related to the operation that occurred during log processing. |
| `payload.result.attempt.operations[] (JSON converters).error.id` | string (uuid) | No | Contains the unique identifier of the error. |
| `payload.result.attempt.operations[] (JSON converters).error.code` | string | No | Displays a code that indicates the type of error that occurred. |
| `payload.result.attempt.operations[] (JSON converters).error.meta` | object | No | Contains metadata about the error that occurred. This can vary depending on the specific error. |
| `payload.result.attempt.operations[] (JSON converters).error.title` | string | No | Contains a human-readable description of the error. |
| `payload.result.attempt.operations[] (JSON converters).error.detail` | string | No | Explains the error in more detail. |
| `payload.result.attempt.operations[] (JSON converters).inputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each input snapshot, respectively, for a given log, which represent the full payload input to the given operation. |
| `payload.result.attempt.operations[] (JSON converters).outputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each output snapshot, respectively, for a given log, which represent the full payload output from the given operation. |
| `payload.result.attempt.operations[] (JSON converters).managedByOrganization` | object | No | Describes the Redox organization that owns and manages a given operation. |
| `payload.result.attempt.operations[] (JSON converters).managedByOrganization.id` | number, nullable | No | Contains the unique identifier of the organization. |
| `payload.result.attempt.operations[] (JSON converters).managedByOrganization.name` | string | No | Displays the human-readable name for the organization. |
| `payload.result.attempt.operations[] (Pre-parsers).type` | string | Yes | Indicates the type of operation performed. The type determines what data is included in the `Details` property. Possible values: blobResolvers, cleansers, conductors, configModifiers, deliveries, filters, jsonConverters, preParsers, redoxConfigurations, redoxFilters, taggers, translations |
| `payload.result.attempt.operations[] (Pre-parsers).operationId` | string (uuid) | Yes | Contains the unique identifier of the given operation. |
| `payload.result.attempt.operations[] (Pre-parsers).version` | number | Yes | Displays the Redox version of the given operation. |
| `payload.result.attempt.operations[] (Pre-parsers).order` | number | Yes | Indicates the sequential order in log processing where the operation occurs. The first operation will have an order number of 1. |
| `payload.result.attempt.operations[] (Pre-parsers).attemptStage` | string | Yes | Describes the processing stage where the given operation occurred. Possible values: send, process, receive, request, process-request, receive-request, respond, process-response, receive-response |
| `payload.result.attempt.operations[] (Pre-parsers).startTime` | string | Yes | Displays the date and time that the operation began processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Pre-parsers).endTime` | string | Yes | Displays the date and time that the operation finished processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Pre-parsers).typeCanModifyPayload` | boolean | Yes | Indicates whether the operation can alter any payload content. |
| `payload.result.attempt.operations[] (Pre-parsers).managedBy` | string | Yes | Indicates whether you (i.e., `customer`) can create and manage this operation type, or if only a Redoxer (i.e., `redox`) can. Possible values: redox, customer |
| `payload.result.attempt.operations[] (Pre-parsers).details` | object | Yes |  |
| `payload.result.attempt.operations[] (Pre-parsers).details.preParsers` | Array of object | No |  |
| `payload.result.attempt.operations[] (Pre-parsers).details.preParsers[].name` | string | No | Displays the human-readable name of this pre-parsing operation. |
| `payload.result.attempt.operations[] (Pre-parsers).details.preParsers[].outcome` | string | No | Describes the outcome of the pre-parse operation. A value of `completed` indicates that the pre-parsing operation completed successfully. A value of `errored` indicates a failure during the pre-parsing operation. A value of `filtered` indicates that the log was filtered prior to this operation. Possible values: completed, errored, filtered |
| `payload.result.attempt.operations[] (Pre-parsers).error` | object | No | Describes any errors related to the operation that occurred during log processing. |
| `payload.result.attempt.operations[] (Pre-parsers).error.id` | string (uuid) | No | Contains the unique identifier of the error. |
| `payload.result.attempt.operations[] (Pre-parsers).error.code` | string | No | Displays a code that indicates the type of error that occurred. |
| `payload.result.attempt.operations[] (Pre-parsers).error.meta` | object | No | Contains metadata about the error that occurred. This can vary depending on the specific error. |
| `payload.result.attempt.operations[] (Pre-parsers).error.title` | string | No | Contains a human-readable description of the error. |
| `payload.result.attempt.operations[] (Pre-parsers).error.detail` | string | No | Explains the error in more detail. |
| `payload.result.attempt.operations[] (Pre-parsers).inputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each input snapshot, respectively, for a given log, which represent the full payload input to the given operation. |
| `payload.result.attempt.operations[] (Pre-parsers).outputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each output snapshot, respectively, for a given log, which represent the full payload output from the given operation. |
| `payload.result.attempt.operations[] (Pre-parsers).managedByOrganization` | object | No | Describes the Redox organization that owns and manages a given operation. |
| `payload.result.attempt.operations[] (Pre-parsers).managedByOrganization.id` | number, nullable | No | Contains the unique identifier of the organization. |
| `payload.result.attempt.operations[] (Pre-parsers).managedByOrganization.name` | string | No | Displays the human-readable name for the organization. |
| `payload.result.attempt.operations[] (Redox configurations).type` | string | Yes | Indicates the type of operation performed. The type determines what data is included in the `Details` property. Possible values: blobResolvers, cleansers, conductors, configModifiers, deliveries, filters, jsonConverters, preParsers, redoxConfigurations, redoxFilters, taggers, translations |
| `payload.result.attempt.operations[] (Redox configurations).operationId` | string (uuid) | Yes | Contains the unique identifier of the given operation. |
| `payload.result.attempt.operations[] (Redox configurations).version` | number | Yes | Displays the Redox version of the given operation. |
| `payload.result.attempt.operations[] (Redox configurations).order` | number | Yes | Indicates the sequential order in log processing where the operation occurs. The first operation will have an order number of 1. |
| `payload.result.attempt.operations[] (Redox configurations).attemptStage` | string | Yes | Describes the processing stage where the given operation occurred. Possible values: send, process, receive, request, process-request, receive-request, respond, process-response, receive-response |
| `payload.result.attempt.operations[] (Redox configurations).startTime` | string | Yes | Displays the date and time that the operation began processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Redox configurations).endTime` | string | Yes | Displays the date and time that the operation finished processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Redox configurations).typeCanModifyPayload` | boolean | Yes | Indicates whether the operation can alter any payload content. |
| `payload.result.attempt.operations[] (Redox configurations).managedBy` | string | Yes | Indicates whether you (i.e., `customer`) can create and manage this operation type, or if only a Redoxer (i.e., `redox`) can. Possible values: redox, customer |
| `payload.result.attempt.operations[] (Redox configurations).details` | object | Yes |  |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations` | Array of object | No |  |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].id` | string (uuid) | No | Displays the unique identifier of the given Redox configuration. |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].name` | string, nullable | No | Displays the human-readable name for the given Redox configuration. |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].versionId` | string (uuid) | No | Displays the unique identifier of this specific configuration version. |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].updatedBy` | object | No |  |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].updatedBy.id` | number, nullable | No | Displays the unique identifier of the Redoxer who last updated the given configuration. |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].updatedBy.name` | string | No | Displays the human-readable name of the Redoxer who last updated the given configuration. |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].updatedAt` | string | No | Displays the date and time the given configuration was last updated in ISO-8601 format. |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].assignment` | object | No |  |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].assignment.id` | string (uuid) | No | Contains the unique identifier of the link between an operation and the subscription it applies to. |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].assignment.kind` | string | No | Indicates the type of operation being linked. |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].assignment.updatedBy` | object | No |  |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].assignment.updatedBy.id` | number, nullable | No | Contains the unique identifier of the user who most recently modified the assignment. |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].assignment.updatedBy.name` | string | No | The human-readable name of the user who most recently modified the assignment. |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].assignment.updatedAt` | string, nullable | No | The date and time that the assignment was last modified in ISO-8601 format. |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].dslVersion` | number | No | Indicates the type of configuration for Redox's internal categorization. Possible values: 1, 2 |
| `payload.result.attempt.operations[] (Redox configurations).details.redoxConfigurations[].translatedDataFormat` | string | No | The shape of the data that the configuration is being applied to. |
| `payload.result.attempt.operations[] (Redox configurations).error` | object | No | Describes any errors related to the operation that occurred during log processing. |
| `payload.result.attempt.operations[] (Redox configurations).error.id` | string (uuid) | No | Contains the unique identifier of the error. |
| `payload.result.attempt.operations[] (Redox configurations).error.code` | string | No | Displays a code that indicates the type of error that occurred. |
| `payload.result.attempt.operations[] (Redox configurations).error.meta` | object | No | Contains metadata about the error that occurred. This can vary depending on the specific error. |
| `payload.result.attempt.operations[] (Redox configurations).error.title` | string | No | Contains a human-readable description of the error. |
| `payload.result.attempt.operations[] (Redox configurations).error.detail` | string | No | Explains the error in more detail. |
| `payload.result.attempt.operations[] (Redox configurations).inputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each input snapshot, respectively, for a given log, which represent the full payload input to the given operation. |
| `payload.result.attempt.operations[] (Redox configurations).outputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each output snapshot, respectively, for a given log, which represent the full payload output from the given operation. |
| `payload.result.attempt.operations[] (Redox configurations).managedByOrganization` | object | No | Describes the Redox organization that owns and manages a given operation. |
| `payload.result.attempt.operations[] (Redox configurations).managedByOrganization.id` | number, nullable | No | Contains the unique identifier of the organization. |
| `payload.result.attempt.operations[] (Redox configurations).managedByOrganization.name` | string | No | Displays the human-readable name for the organization. |
| `payload.result.attempt.operations[] (Redox filters).type` | string | Yes | Indicates the type of operation performed. The type determines what data is included in the `Details` property. Possible values: blobResolvers, cleansers, conductors, configModifiers, deliveries, filters, jsonConverters, preParsers, redoxConfigurations, redoxFilters, taggers, translations |
| `payload.result.attempt.operations[] (Redox filters).operationId` | string (uuid) | Yes | Contains the unique identifier of the given operation. |
| `payload.result.attempt.operations[] (Redox filters).version` | number | Yes | Displays the Redox version of the given operation. |
| `payload.result.attempt.operations[] (Redox filters).order` | number | Yes | Indicates the sequential order in log processing where the operation occurs. The first operation will have an order number of 1. |
| `payload.result.attempt.operations[] (Redox filters).attemptStage` | string | Yes | Describes the processing stage where the given operation occurred. Possible values: send, process, receive, request, process-request, receive-request, respond, process-response, receive-response |
| `payload.result.attempt.operations[] (Redox filters).startTime` | string | Yes | Displays the date and time that the operation began processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Redox filters).endTime` | string | Yes | Displays the date and time that the operation finished processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Redox filters).typeCanModifyPayload` | boolean | Yes | Indicates whether the operation can alter any payload content. |
| `payload.result.attempt.operations[] (Redox filters).managedBy` | string | Yes | Indicates whether you (i.e., `customer`) can create and manage this operation type, or if only a Redoxer (i.e., `redox`) can. Possible values: redox, customer |
| `payload.result.attempt.operations[] (Redox filters).details` | object | Yes |  |
| `payload.result.attempt.operations[] (Redox filters).details.redoxFilters` | Array of object | No |  |
| `payload.result.attempt.operations[] (Redox filters).details.redoxFilters[].id` | string | No | Displays the unique identifier of the given Redox filter. |
| `payload.result.attempt.operations[] (Redox filters).details.redoxFilters[].updatedAt` | string | No | Displays the date and time the given filter was last updated in ISO-8601 format. |
| `payload.result.attempt.operations[] (Redox filters).details.redoxFilters[].outcome` | string | No | Idicates if applying the filter's criteria to the given log would result in the log being filtered or not, or if there was an error when evaluating the filter criteria. Possible values: errored, filtered, not-filtered |
| `payload.result.attempt.operations[] (Redox filters).details.redoxFilters[].assignment` | object | No |  |
| `payload.result.attempt.operations[] (Redox filters).details.redoxFilters[].assignment.id` | string (uuid) | No | Contains the unique identifier of the link between an operation and the subscription it applies to. |
| `payload.result.attempt.operations[] (Redox filters).details.redoxFilters[].assignment.kind` | string | No | Indicates the type of operation being linked. |
| `payload.result.attempt.operations[] (Redox filters).details.redoxFilters[].assignment.updatedBy` | object | No |  |
| `payload.result.attempt.operations[] (Redox filters).details.redoxFilters[].assignment.updatedBy.id` | number, nullable | No | Contains the unique identifier of the user who most recently modified the assignment. |
| `payload.result.attempt.operations[] (Redox filters).details.redoxFilters[].assignment.updatedBy.name` | string | No | The human-readable name of the user who most recently modified the assignment. |
| `payload.result.attempt.operations[] (Redox filters).details.redoxFilters[].assignment.updatedAt` | string, nullable | No | The date and time that the assignment was last modified in ISO-8601 format. |
| `payload.result.attempt.operations[] (Redox filters).error` | object | No | Describes any errors related to the operation that occurred during log processing. |
| `payload.result.attempt.operations[] (Redox filters).error.id` | string (uuid) | No | Contains the unique identifier of the error. |
| `payload.result.attempt.operations[] (Redox filters).error.code` | string | No | Displays a code that indicates the type of error that occurred. |
| `payload.result.attempt.operations[] (Redox filters).error.meta` | object | No | Contains metadata about the error that occurred. This can vary depending on the specific error. |
| `payload.result.attempt.operations[] (Redox filters).error.title` | string | No | Contains a human-readable description of the error. |
| `payload.result.attempt.operations[] (Redox filters).error.detail` | string | No | Explains the error in more detail. |
| `payload.result.attempt.operations[] (Redox filters).inputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each input snapshot, respectively, for a given log, which represent the full payload input to the given operation. |
| `payload.result.attempt.operations[] (Redox filters).outputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each output snapshot, respectively, for a given log, which represent the full payload output from the given operation. |
| `payload.result.attempt.operations[] (Redox filters).managedByOrganization` | object | No | Describes the Redox organization that owns and manages a given operation. |
| `payload.result.attempt.operations[] (Redox filters).managedByOrganization.id` | number, nullable | No | Contains the unique identifier of the organization. |
| `payload.result.attempt.operations[] (Redox filters).managedByOrganization.name` | string | No | Displays the human-readable name for the organization. |
| `payload.result.attempt.operations[] (Taggers).type` | string | Yes | Indicates the type of operation performed. The type determines what data is included in the `Details` property. Possible values: blobResolvers, cleansers, conductors, configModifiers, deliveries, filters, jsonConverters, preParsers, redoxConfigurations, redoxFilters, taggers, translations |
| `payload.result.attempt.operations[] (Taggers).operationId` | string (uuid) | Yes | Contains the unique identifier of the given operation. |
| `payload.result.attempt.operations[] (Taggers).version` | number | Yes | Displays the Redox version of the given operation. |
| `payload.result.attempt.operations[] (Taggers).order` | number | Yes | Indicates the sequential order in log processing where the operation occurs. The first operation will have an order number of 1. |
| `payload.result.attempt.operations[] (Taggers).attemptStage` | string | Yes | Describes the processing stage where the given operation occurred. Possible values: send, process, receive, request, process-request, receive-request, respond, process-response, receive-response |
| `payload.result.attempt.operations[] (Taggers).startTime` | string | Yes | Displays the date and time that the operation began processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Taggers).endTime` | string | Yes | Displays the date and time that the operation finished processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Taggers).typeCanModifyPayload` | boolean | Yes | Indicates whether the operation can alter any payload content. |
| `payload.result.attempt.operations[] (Taggers).managedBy` | string | Yes | Indicates whether you (i.e., `customer`) can create and manage this operation type, or if only a Redoxer (i.e., `redox`) can. Possible values: redox, customer |
| `payload.result.attempt.operations[] (Taggers).details` | object | Yes |  |
| `payload.result.attempt.operations[] (Taggers).details.taggers` | Array of object | No |  |
| `payload.result.attempt.operations[] (Taggers).error` | object | No | Describes any errors related to the operation that occurred during log processing. |
| `payload.result.attempt.operations[] (Taggers).error.id` | string (uuid) | No | Contains the unique identifier of the error. |
| `payload.result.attempt.operations[] (Taggers).error.code` | string | No | Displays a code that indicates the type of error that occurred. |
| `payload.result.attempt.operations[] (Taggers).error.meta` | object | No | Contains metadata about the error that occurred. This can vary depending on the specific error. |
| `payload.result.attempt.operations[] (Taggers).error.title` | string | No | Contains a human-readable description of the error. |
| `payload.result.attempt.operations[] (Taggers).error.detail` | string | No | Explains the error in more detail. |
| `payload.result.attempt.operations[] (Taggers).inputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each input snapshot, respectively, for a given log, which represent the full payload input to the given operation. |
| `payload.result.attempt.operations[] (Taggers).outputSnapshotIds` | Array of string | No | Lists the unique identifiers that correlate to each output snapshot, respectively, for a given log, which represent the full payload output from the given operation. |
| `payload.result.attempt.operations[] (Taggers).managedByOrganization` | object | No | Describes the Redox organization that owns and manages a given operation. |
| `payload.result.attempt.operations[] (Taggers).managedByOrganization.id` | number, nullable | No | Contains the unique identifier of the organization. |
| `payload.result.attempt.operations[] (Taggers).managedByOrganization.name` | string | No | Displays the human-readable name for the organization. |
| `payload.result.attempt.operations[] (Translations).type` | string | Yes | Indicates the type of operation performed. The type determines what data is included in the `Details` property. Possible values: blobResolvers, cleansers, conductors, configModifiers, deliveries, filters, jsonConverters, preParsers, redoxConfigurations, redoxFilters, taggers, translations |
| `payload.result.attempt.operations[] (Translations).operationId` | string (uuid) | Yes | Contains the unique identifier of the given operation. |
| `payload.result.attempt.operations[] (Translations).version` | number | Yes | Displays the Redox version of the given operation. |
| `payload.result.attempt.operations[] (Translations).order` | number | Yes | Indicates the sequential order in log processing where the operation occurs. The first operation will have an order number of 1. |
| `payload.result.attempt.operations[] (Translations).attemptStage` | string | Yes | Describes the processing stage where the given operation occurred. Possible values: send, process, receive, request, process-request, receive-request, respond, process-response, receive-response |
| `payload.result.attempt.operations[] (Translations).startTime` | string | Yes | Displays the date and time that the operation began processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Translations).endTime` | string | Yes | Displays the date and time that the operation finished processing in ISO 8601 format. |
| `payload.result.attempt.operations[] (Translations).typeCanModifyPayload` | boolean | Yes | Indicates whether the operation can alter any payload content. |
[...]
